<patch>
	<id>hotfix-7188-7110</id>
	<name>hotfix-7188</name>
	<patching-tool-version>2016</patching-tool-version>
	<incompatible-patching-tool-version-message>Please update Patching Tool to version 2.0.16 or higher in order to use this patch.</incompatible-patching-tool-version-message>
	<incremental>false</incremental>
	<singular>true</singular>
	<version>7188</version>
	<rank>250225050311945</rank>
	<requirements>dxp=15</requirements>
	<component>hotfix</component>
	<product>7110</product>
	<fixed-issues>LPD-2443,LPE-17525,LPS-104540,LPS-105128,LPS-113730,LPS-113733,LPS-115374,LPS-125481,LPS-127212,LPS-134572,LPS-142141,LPS-93136,LPS-93805,LPS-94011</fixed-issues>
	<build-date>Tue, 25 Feb 2025 05:03:11 PST</build-date>
	<full-file-replacements>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.executor.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.function.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.io.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.lang.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.memory.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.nio.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.process.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.string.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.registry.api.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/portal-kernel.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/support-tomcat.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/concurrent.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/portal-impl.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/spring-beans.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-bridges.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-java.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-slf4j.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-taglib.jar</replace-file>
	</full-file-replacements>
	<delete-files>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Blogs - Impl.lpkg/com.liferay.blogs.service-2.0.46.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Document Library - Impl.lpkg/com.liferay.document.library.web-3.0.63.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Hypermedia REST APIs - API.lpkg/com.liferay.headless.common.spi-4.0.6.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Cache - API.lpkg/com.liferay.portal.cache.ehcache.spi-1.0.3.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Search - API.lpkg/com.liferay.portal.search.spi-2.1.7.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Static - API.lpkg/com.liferay.osgi.util-4.1.4.jar</delete-file>
		<delete-file>WAR_PATH/html/portal/license_lcs.jsp</delete-file>
	</delete-files>
	<customer-ticket>123</customer-ticket>
	<built-for>Liferay</built-for>
	<plugin-dependencies>
		<plugin-dependency auto="true" name="util-bridges.jar">
			<portal-path>WAR_PATH/WEB-INF/lib/portal-impl.jar/com/liferay/portal/deploy/dependencies/util-bridges.jar</portal-path>
			<plugin-path>WEB-INF/lib/util-bridges.jar</plugin-path>
		</plugin-dependency>
		<plugin-dependency auto="true" name="util-java.jar">
			<portal-path>WAR_PATH/WEB-INF/lib/portal-impl.jar/com/liferay/portal/deploy/dependencies/util-java.jar</portal-path>
			<plugin-path>WEB-INF/lib/util-java.jar</plugin-path>
		</plugin-dependency>
		<plugin-dependency auto="true" name="util-taglib.jar">
			<portal-path>WAR_PATH/WEB-INF/lib/portal-impl.jar/com/liferay/portal/deploy/dependencies/util-taglib.jar</portal-path>
			<plugin-path>WEB-INF/lib/util-taglib.jar</plugin-path>
		</plugin-dependency>
	</plugin-dependencies>
	<checksums>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar">362b99d0a0712eb4877e5e1950fb41ce</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.executor.jar">66f9c1cd450c7fcab5f9b0bd35e20812</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.function.jar">b7b7b35d6167cfd8228c9ca1c50457a3</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.io.jar">131c79845e9111f0b3f3e37750022683</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.lang.jar">9e0ca7a0968f24d8801aa4186a1e6b51</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.memory.jar">eb833d74384a1e7a888c73bb35a57ca6</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.nio.jar">48204aa2aaa9eadb81158ce143a23c8d</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.process.jar">ac3ea2691b84c156c0d34790c8db77c9</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar">afe361ec40c77c4fef978b7220c6deae</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.string.jar">f8b3547e6de4859463f84b5d48a096d2</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.registry.api.jar">c016130b6316737c1afeee74b823480b</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/portal-kernel.jar">33b7d36b1197fdd2eba36212a482a790</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/support-tomcat.jar">4491acdc8a18a92b36f8683fd736835c</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar">1bb446cdcdf4286b89fec50da6600031</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/core/org.eclipse.osgi.jar">3d1e7144ddbaf4d37032061d6ef7f22d</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Blogs - Impl.lpkg/com.liferay.blogs.service-2.0.46.hotfix-7188-7110.jar">95d12ffa2bd913f1ccb56af008e76148</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Blogs - Impl.lpkg/index.xml">e1955ffcbd34f3a80c902d5cbf2d06c8</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Blogs - Impl.lpkg/liferay-marketplace.properties">c0383a563889f7b9205ed633b25a5c6a</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Document Library - Impl.lpkg/com.liferay.document.library.web-3.0.63.hotfix-7188-7110.jar">1ed511659bc820b8fa6a328c9d06d5e1</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Document Library - Impl.lpkg/index.xml">372ed4cfa2631dfde5d0776797689319</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Document Library - Impl.lpkg/liferay-marketplace.properties">5b3207151b49ede1bbe7448bd2ebe07d</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Analytics - API.lpkg/com.liferay.analytics.api-1.0.1.jar">a07dadcb07f5e46a894a14477037f7db</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Analytics - API.lpkg/index.xml">e37ffb2e23f376b2d7044b3c38124ab7</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Analytics - API.lpkg/liferay-marketplace.properties">824937ab9996e0cd1265666433f1281a</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Hypermedia REST APIs - SPI.lpkg/com.liferay.headless.common.spi-4.0.6.jar">e7e5f38390d87fae9dd2ff7f0990791e</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Hypermedia REST APIs - SPI.lpkg/index.xml">70392c38d5ccb7760a99d3842c5ebdff</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Hypermedia REST APIs - SPI.lpkg/liferay-marketplace.properties">9aa90752f8dbbcac438bcf75f0d52a46</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Cache - SPI.lpkg/com.liferay.portal.cache.ehcache.spi-1.0.3.jar">b076385e5b44a8e0e470918c37e2147c</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Cache - SPI.lpkg/index.xml">eca06b5c5e8b8ba673a94074bb38ee57</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Cache - SPI.lpkg/liferay-marketplace.properties">431eacb1834cc2fed2a15dca4dbc61f1</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Search - SPI.lpkg/com.liferay.portal.search.spi-2.1.7.jar">00efe78ae48b524d6b5c61d550f4e9ac</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Search - SPI.lpkg/index.xml">aa380a899c9a187b7b34f416b9a391a9</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Portal Search - SPI.lpkg/liferay-marketplace.properties">f945c7e55ecd77317d8340012b870d0f</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Static - API.lpkg/com.liferay.osgi.util-4.1.4.hotfix-7188-7110.jar">56ee11dd80cd553be554b4fd9814a86f</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Static - API.lpkg/index.xml">168ab9a985ad040b122f076289e1581b</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Static - API.lpkg/liferay-marketplace.properties">53073bfba40b1d94c3999d63686babac</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/target-platform/integrity.properties">01cded79d2242c8ce005cf39515f40b3</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/classes/META-INF/MANIFEST.MF">e5360aba15e56340f5a62f41ff609ef1</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar">90cdfbac4d56d2b3ad19bab029488a22</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar">10ad7b39e0768693d116c0f216bf62b5</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar">e6fb19157acb06e34d808dc0bcab00ca</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar">74aba1e70c6e90e378d4048ae04a1230</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar">8a4defca846809c80e4d0a370acf7d77</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar">a3bfa536652699206f815337df2e3ac3</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar">aea5e1f2acf8d1927ff5ecc30d1aee94</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar">44752f1d8dc85a9ea8f245c3f00df314</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/concurrent.jar">c032be7416b0136af9a73954deb249cd</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/portal-impl.jar">ca87ee3495211bcaab759185c5ea0cc2</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/spring-beans.jar">41ecd6251bc3ecdc141e842756c188b8</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-bridges.jar">5d8218dbfad5dc7247da3a9a5363f26d</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-java.jar">ffb451b2636106447fda51c11b1c647d</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-slf4j.jar">be802d84df4fdba8412f1012d671335a</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-taglib.jar">c48fbb361f57ff2b2c75337a07297ba5</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/struts-config.xml">42ac0d0c533a9f468831db714a825e14</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tiles-defs.xml">10c1c12fa438730265a19e85f752fbc8</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tld/liferay-aui.tld">1554c75753469776744cf8a14cf5ed7a</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tld/liferay-portlet-ext.tld">2aae159bdc4a94052334fd7c455ca837</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tld/liferay-portlet.tld">95de4041938e3473028b60e9dddc1ec0</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tld/liferay-portlet_2_0.tld">599d3a0aa06d9b3686edc24f7337fd98</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tld/liferay-security.tld">947ece02873389be7031bf7e0108c0f4</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/tld/liferay-ui.tld">10c88a044671f41f947773f4b413f4ee</file-checksum>
		<file-checksum file="binaries/WAR_PATH/html/common/themes/bottom.jsp">c637bb22a4f0a9d72ef16caabb3106b3</file-checksum>
		<file-checksum file="binaries/WAR_PATH/html/portal/dynamic_include/view.jsp">0908a727801aefc27863f36d32eeb703</file-checksum>
		<file-checksum file="binaries/WAR_PATH/html/portal/license.jsp">ac64c35cc02a477d0d8b776bd8a72ddc</file-checksum>
		<file-checksum file="binaries/WAR_PATH/html/portal/license_activation.jsp">49e60ae497df8dbf399897db3e631a8b</file-checksum>
		<file-checksum file="diff/lib/portal/dependencies.properties.diff">1a405ccf64a2bbc1b3eefbd41327d939</file-checksum>
		<file-checksum file="diff/lib/versions-complete.xml.diff">1d57996ea0abe907f3efd21eca85e4d8</file-checksum>
		<file-checksum file="diff/lib/versions-ext.xml.diff">f4a095136e350b6da2489d0fc168ed97</file-checksum>
		<file-checksum file="diff/lib/versions.html.diff">d7749faddf9ab0541f1d726fb421e40f</file-checksum>
		<file-checksum file="diff/modules/apps/blogs/blogs-service/src/main/java/com/liferay/blogs/internal/exportimport/data/handler/BlogsEntryStagedModelDataHandler.java.diff">2f9bab31802f04d4b4daf22c57360e10</file-checksum>
		<file-checksum file="diff/modules/apps/document-library/document-library-web/src/main/resources/META-INF/resources/document_library/file_entry_history.jsp.diff">1b5bd2c06414856114d8cee6f04acbcb</file-checksum>
		<file-checksum file="diff/modules/apps/static/osgi/osgi-util/build.gradle.diff">52860c2e026f9c55d01473f1d54c35ec</file-checksum>
		<file-checksum file="diff/modules/apps/static/osgi/osgi-util/src/main/java/com/liferay/osgi/util/BundleUtil.java.diff">4912b6eae886c364ca6fdf82ca85c666</file-checksum>
		<file-checksum file="diff/portal-impl/src/com/liferay/portal/dao/orm/hibernate/PortletSessionFactoryImpl.java.diff">ff7e284e4ab00c27c9fba0e9601d4003</file-checksum>
		<file-checksum file="diff/portal-impl/src/com/liferay/portal/dao/orm/hibernate/SessionFactoryImpl.java.diff">bb8b64e7fcd9f3389040db763b9ef423</file-checksum>
		<file-checksum file="diff/portal-impl/src/portal.properties.diff">8c8905f65829d23d9ad7209746560486</file-checksum>
		<file-checksum file="diff/sql/sql.properties.diff">cb09d7ff3d30a5077ff9ffbc0e980380</file-checksum>
		<file-checksum file="diff/tools/servers/tomcat/bin/setenv.sh.diff">a4cadccedf42a6f03933cd8e041418e2</file-checksum>
		<file-checksum file="src/lib/portal/dependencies.properties">059f6f6aef00f9a23dca3f87eed68134</file-checksum>
		<file-checksum file="src/lib/versions-complete.xml">01b56b97ccc4fd9e25015418fbfb7781</file-checksum>
		<file-checksum file="src/lib/versions-ext.xml">d33ea2777130f35b1e54ffb5c738de25</file-checksum>
		<file-checksum file="src/lib/versions.html">095e9d9f3a33cb166ef227e49cd282b2</file-checksum>
		<file-checksum file="src/modules/apps/blogs/blogs-service/src/main/java/com/liferay/blogs/internal/exportimport/data/handler/BlogsEntryStagedModelDataHandler.java">cc83087ca7dc4c75eed1a1b084568398</file-checksum>
		<file-checksum file="src/modules/apps/document-library/document-library-web/src/main/resources/META-INF/resources/document_library/file_entry_history.jsp">cef449b553fa12c6b265d5b99c7306e4</file-checksum>
		<file-checksum file="src/modules/apps/static/osgi/osgi-util/src/main/java/com/liferay/osgi/util/BundleUtil.java">3c50ea366d8a69d3e830eacc29d33731</file-checksum>
		<file-checksum file="src/portal-impl/src/com/liferay/portal/dao/orm/hibernate/PortletSessionFactoryImpl.java">70399801704b0d8c9e6ec90bc9b1987a</file-checksum>
		<file-checksum file="src/portal-impl/src/com/liferay/portal/dao/orm/hibernate/SessionFactoryImpl.java">8c73b4c5dd8925ad54f77299148aa8e9</file-checksum>
		<file-checksum file="src/portal-impl/src/portal.properties">e74f1857d3cf7e851535f93b313e8ad8</file-checksum>
		<file-checksum file="src/sql/sql.properties">90568f9c6d38c1a31c8400c53fea74c8</file-checksum>
		<file-checksum file="src/tools/servers/tomcat/bin/setenv.sh">67abfccc57b373c33a0a1b539727fbf1</file-checksum>
	</checksums>
	<build-id>271325807</build-id>
	<build-name>LPD-2443,LPE-17525,LPS-104540,LPS-105128,LPS-113730,LPS-113733,LPS-115374,LPS-125481,LPS-127212,LPS-134572,LPS-142141,LPS-93136,LPS-93805,LPS-94011</build-name>
	<source-available>true</source-available>
	<git-revision>10d76f674bba5c5e94e000135d40e4b168e4d20e</git-revision>
</patch>
